Bug 848745 - openhpid runs as initrc_t
openhpid runs as initrc_t
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.9
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks: 848708
  Show dependency treegraph
 
Reported: 2012-08-16 06:50 EDT by Milos Malik
Modified: 2013-04-18 12:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 04:40:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2012-08-16 06:50:14 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-minimum-2.4.6-331.el5
selinux-policy-devel-2.4.6-331.el5
selinux-policy-targeted-2.4.6-331.el5
selinux-policy-2.4.6-331.el5
selinux-policy-strict-2.4.6-331.el5
selinux-policy-mls-2.4.6-331.el5
openhpi-2.14.0-5.el5

How reproducible:
always

Steps to Reproduce:
# run_init service openhpid status
Authenticating root.
Password: 
Checking for openhpid daemon: 
openhpid is stopped
# run_init service openhpid start
Authenticating root.
Password: 
Starting openhpid:                                         [  OK  ]
# ps -efZ | grep openhpid
user_u:system_r:initrc_t        root     12819     1  0 12:42 ?        00:00:00 /usr/sbin/openhpid -c /etc/openhpi/openhpi.conf
root:system_r:unconfined_t:SystemLow-SystemHigh root 12825 2823  0 12:42 pts/0 00:00:00 grep openhpid
# 

Actual results:
* openhpid runs as initrc_t

Expected results:
* openhpid runs in its own SELinux domain
Comment 1 Miroslav Grepl 2012-08-20 04:40:01 EDT
I believe we should stay with initrc_t for all these services for RHEL5. 

Basically I can backport policies but we would need to make this policy as unconfined.

Also we don't see any issues with these services running as initrc.

Note You need to log in before you can comment on or make changes to this bug.